module.exports = {
  create: {
    requestBody: [
      "!onwer",
      "car_no",
      "id_number",
      "id_name",
      "organ",
      "r_date",
      "c_type",
      "c_doc_no",
      "c_weight",
      "c_scrap_date",
      "c_examine_date",
      "r_tran_no",
      "r_examine_date",
      "buy_car_taxes_no",
      "f_company",
      "f_tel",
      "f_no",
      "f_cost",
      "f_start_date",
      "f_end_date",
      "f_solve",
      "f_car_taxes",
      "f_sign_date",
      "b_company",
      "b_tel",
      "b_no",
      "b_cost",
      "b_start_date",
      "b_end_date",
      "b_solve",
      "b_sign_date",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!onwer",
      "car_no",
      "id_number",
      "id_name",
      "organ",
      "r_date",
      "c_type",
      "c_doc_no",
      "c_weight",
      "c_scrap_date",
      "c_examine_date",
      "r_tran_no",
      "r_examine_date",
      "buy_car_taxes_no",
      "f_company",
      "f_tel",
      "f_no",
      "f_cost",
      "f_start_date",
      "f_end_date",
      "f_solve",
      "f_car_taxes",
      "f_sign_date",
      "b_company",
      "b_tel",
      "b_no",
      "b_cost",
      "b_start_date",
      "b_end_date",
      "b_solve",
      "b_sign_date",
      "remark",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        onwer: "%onwer%",
        car_no: "%car_no%",
        id_number: "%id_number%",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
