module.exports = {
  create: {
    requestBody: [
      "no",
      "!owner",
      "supply_type",
      "supplier",
      "goods",
      "send_time",
      "out_bill",
      "remark",
      "is_js",
      "route",
      "status",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "no",
      "!owner",
      "supply_type",
      "supplier",
      "goods",
      "send_time",
      "out_bill",
      "remark",
      "route",
      "is_js",
      "status",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        no: "%no%",
        owner: "owner",
        supply_type: "supply_type",
        client: "client",
        "send_time@start": "send_time@start",
        "send_time@end": "send_time@end",
        "sign_time@start": "sign_time@start",
        "sign_time@end": "sign_time@end",
        is_js: "is_js",
        status: "status",
        car: "supplier.car_no",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },

  supplierCalculate: {
    parameters: {
      query: {
        owner: "owner",
        principal: "principal",
        client: "supplier.client",
        car_no:"supplier.car_no",
        "date@start": "create_time@start",
        "date@end": "create_time@end",
        is_js: "is_js",
        status: "status",
      },
    },
    service: "supplierCalculate",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
