'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  const prefix = '/api/servicezhwl';
  router.get(`${prefix}/model/:model`, controller.util.findModel);
  router.post(`${prefix}/util`, controller.util.utilMethod);
  // 測試
  router.resources('test', '/api/servicezhwl/test', controller.test); // index、create、show、destroy
  router.post('test', '/api/servicezhwl/test/update/:id', controller.test.update);
  // 系统设置路由
  require('./router/system')(app); // 系统设置
  require('./router/personnel')(app); // 人员设置
  require('./router/client')(app); // 客户/供应商相关
  require('./router/car')(app); // 车辆相关
  require('./router/order')(app); // 订单相关
  require('./router/transport')(app); // 运输相关
  require('./router/bill')(app); // 结算单相关

};
