'use strict';
/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const prefix = '/api/servicezhwl';
  const index = 'order';
  const { router, controller } = app;
  // 供应商结算单查询
  router.get('transport', `${prefix}/transport/supplier/calculate`, controller[index].transport.supplierCalculate);
  // transport
  router.post('transport', `${prefix}/transport/supplier/calculate/export`, controller[index].transport.supplierExport);
  // 供应商支出结算
  router.post('transport', `${prefix}/transport/supplier/js`, controller[index].transport.supplierJs);
  // 核算导出
  router.post('transport', `${prefix}/transport/calculate/export`, controller[index].transport.toExport);
  // 单趟核算
  router.post('transport', `${prefix}/transport/calculate`, controller[index].transport.calculate);
  // 单车核算
  router.post('transport', `${prefix}/transport/carCalculate`, controller[index].transport.carCalculate);
  // 签收
  router.post('transport', `${prefix}/transport/sign`, controller[index].transport.sign);
  // 获取运输单号
  router.get('transport', `${prefix}/transport/no`, controller[index].transport.getNo);
  // 运输
  router.resources(`${prefix}/transport`, controller[index].transport); // index、create、show、destroy
  router.post('transport', `${prefix}/transport/update/:id`, controller[index].transport.update);
};
