'use strict';
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
class BillService extends CrudService {
  constructor(ctx) {
    super(ctx, 'in');
    this.model = this.ctx.model.Order;
    this.os = this.ctx.service.order.order;
  }

  /**
   * 修改收入;订单收入,货物收入
   * @param {Object} data 订单数据
   */
  async inBill(data) {
    console.log(data);
    const { _id } = data;
    const res = await this.model.update({ _id: ObjectId(_id) }, data);
    try {
      this.os.record(_id, { method: 'in' });
    } catch (error) {
      this.logger.error(`订单id:${res.id}记录创建失败:${error.toString()}`);
    }
    return res;
  }
  /**
   *
   * @param {Object} data 订单数据
   */
  async outBill(data) {
    const { _id } = data;
    const res = await this.model.update({ _id: ObjectId(_id) }, data);
    try {
      this.os.record(_id, { method: 'out' });
    } catch (error) {
      this.logger.error(`订单id:${res.id}记录创建失败:${error.toString()}`);
    }
    return res;
  }
}
module.exports = BillService;
