'use strict';
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
class SplitService extends CrudService {
  constructor(ctx) {
    super(ctx, 'split');
    this.model = this.ctx.model.Order;
    this.os = this.ctx.service.order.order;
  }
  /**
   * 拆分货物
   * @param {Object} data 订单数据
   */
  async splitGoods(data) {
    const { _id } = data;
    const res = await this.model.update({ _id: ObjectId(_id) }, data);
    try {
      this.os.record(_id, { method: 'split' });
    } catch (error) {
      this.logger.error(`订单id:${res.id}记录创建失败:${error.toString()}`);
    }
    return res;
  }
}
module.exports = SplitService;
