/* eslint valid-jsdoc: "off" */

'use strict';
const { sep } = require('path');
const { jwt } = require('./config.secret');
/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1579225760252_7743';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 7009,
    },
  };
  config.mongoose = {
    url: 'mongodb://localhost:27017/servicezhwl',
    options: {
      // user: 'admin',
      // pass: 'admin',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
    },
  };

  config.project = {
    userAuth: 'http://127.0.0.1:7003/api/role/auth',
    mission: 'http://127.0.0.1:7003/api/mission',
  };

  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'servicezhwl',
  };
  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };
  // config.amqp = {
  //   client: {
  //     hostname: '127.0.0.1',
  //     username: 'visit',
  //     password: 'visit',
  //     vhost: 'visit',
  //   },
  //   app: true,
  //   agent: true,
  // };

  config.export = {
    root_path: `${appInfo.baseDir}${sep}`,
  };

  return {
    ...config,
    ...userConfig,
  };
};
